import React, {useState} from 'react'
import './App.css';


const Spoiler = ({header = "+", open, children}) => {
    open = open ? true : false
    const [openStat, setSpoiler] = useState(open)
    return (
        <>
            <div onClick={() => setSpoiler(!openStat)}>{header}</div>
            <div style={{display: openStat ? 'block' : 'none'}}>{children}</div>
        </>
    )
}

const RangeInput = ({min, max}) => {
    const [textStatus, setText] = useState('gg')
    return (
        <input type='text'
               value={textStatus}
               onChange={(e) => setText(e.target.value)}
               style={{
                   background:
                       textStatus.length >= min && textStatus.length <= max ? '' : '#FAA'
               }}/>
    )
}
const PasswordConfirm = ({min = 5}) => {
    const [password1, setPassword1] = useState('password')
    const [password2, setPassword2] = useState('password')
    const [openState1, setOpen1] = useState(true)
const validation =`/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{${min},}$/`;
    return (
        <>
            <div>
                <span>Password</span>
                <input placeholder='Enter your Password'
                       type={openState1 ? 'password' : 'text'}
                       onChange={(e) => setPassword1(e.target.value)}

                       style={{
                           backgroundColor: password1.length >= min  ? '' : '#FAA',
                           paddingRight: '20px'
                       }}
                />
                <input type='checkBox'
                       onChange={() => setOpen1(!openState1)}/>
            </div>
            <div>
                <span>Confirm</span>
                <input placeholder='Enter again'
                       type= 'password'
                       onChange={(e) => setPassword2(e.target.value)}
                       style={{
                           backgroundColor: password1.toLowerCase() === password2.toLowerCase() ? '' : '#FAA',
                           paddingRight: '20px'
                       }}
                />
            </div>
        </>
    )
}

function App() {
    return (
        <div className="App">

            <Spoiler header={<h1>Заголовок</h1>} open>
                Контент 1
                <p>
                    лорем ипсум траливали и тп.
                </p>
            </Spoiler>

            <h2>RangeInput</h2>
            <RangeInput min={2} max={10}/>
            <PasswordConfirm/>
            <Spoiler>
                <h2>Контент 2</h2>
                <p>
                    лорем ипсум траливали и тп.
                </p>
            </Spoiler >
        </div>

    );
}

export default App;
